/*************************************************************************
  TORNADO-PX5421Q DSP Core-to-core communication test via McBSP2 ports.
  (C) MicroLAB Systems, 2001

  file: slave core

	Notes:
	------
	Refer to the MASTER.C file for details how to run this demo.

*************************************************************************/

#include "c54x_def.h"
#include "px5421qd.h"


unsigned	pass_counter=0;

#define	XOR_TEST_PATTERN		0x5555

main()
{  
	// init DSP and configure McBSP2
   TPX5421Q_init_dsp();
   TPX5421Q_init_mcbsp2();


   while(1)
    {
		// wait for received word as SLAVE,
		// XOR it, and transmit it back 
		TPX5421Q_write_mcbsp2_data(TPX5421Q_read_mcbsp2_data() ^ XOR_TEST_PATTERN);

	     pass_counter++;
    }

error:
	while(1);

}



